# Uses of Interface
org.eclipse.equinox.security.storage.ISecurePreferences

Packages that use ISecurePreferences
Package
Description
org.eclipse.equinox.security.storage
Equinox secure storage
org.eclipse.equinox.security.storage.provider
Equinox secure storage: provider-specific functionality

## Uses of ISecurePreferences in org.eclipse.equinox.security.storage

Methods in org.eclipse.equinox.security.storage that return ISecurePreferences
Modifier and Type
Method
Description
`static ISecurePreferences`
SecurePreferencesFactory.`getDefault()`
Returns default secure preferences.
`ISecurePreferences`
ISecurePreferences.`node(String pathName)`
Returns node corresponding to the path specified.
`static ISecurePreferences`
SecurePreferencesFactory.`open(URL location, Map options)`
Returns a secure properties corresponding to the URL locations supplied.
`ISecurePreferences`
ISecurePreferences.`parent()`
Returns parent of this node

## Uses of ISecurePreferences in org.eclipse.equinox.security.storage.provider

Methods in org.eclipse.equinox.security.storage.provider that return ISecurePreferences
Modifier and Type
Method
Description
`ISecurePreferences`
IPreferencesContainer.`getPreferences()`
Returns secure preferences contained in this container.